%define ver_major 0.4
%def_disable static

Name: gnome-keyring
Version: %ver_major.2
Release: alt1

Summary: %name is a password keeper for GNOME
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.6.4

Requires: libgtk+2 >= %gtk_ver
Requires: lib%name = %version-%release

BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Mon Apr 19 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
%name is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

%package -n lib%name
Summary: %name libraries
Group: System/Libraries

%description -n lib%name
This package contains shared version of %name libraries.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and development libraries for %name.

%package -n lib%name-devel-static
Summary: Static version of %name libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package provides libraries for develop programs statically linked
against lib%name.

%define _libexecdir %_libdir/%name

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*
%doc README AUTHORS NEWS ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1.

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.90-alt1
- 0.1.90

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- First build for Sisyphus.

